# Norms
Developer norms are a necessary way to set some ground rules, so your code base can retain some consistency, remain maintainable over the next days, months and years and all developers are on the same page.

Here's a starter list of developer norms:

1. Don't over-engineer. Write minimum code to get things working end to end, only then iterate to improve,
1. Use a Continuous Integration server,
1. Always push working code, if you break the pipeline/build then fix it,
1. Make granular and small commits, per feature or per bug fix,
1. Provide descriptive commit messages,
1. Write self documenting code. Use descriptive variable and function names. Avoid unnecessary name shortening,
1. Don't leave dead/commented out code behind. If you see such code, delete it,
1. Write automated tests to cover critical integration points and functionality.
